Subject: Re: rm -rf -> Circular directory structure
From: [email-masked] (Fergus Henderson)

6 Aug 1997 20:49:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Christoph Kukulies <[email-masked]> writes:

>I'm having a weird problem under NT 4.0 (I remember to
>have seen this with b17 and NT3.51 also):
>
>D:\>rm -rf somedir
>rm: WARNING: Circular directory structure.
>This almost certainly means that you have a corrupted file system.
>NOTIFY YOUR SYSTEM MANAGER.
>Cycle detected:
>somedir/FOO/FOO
>is the same file as
>somedir

This is because the algorithm that cygwin uses to compute inode numbers
just hashes the file name (or something like that) rather than
actually figuring out a properly unique number.  When you get a hash
collision, `rm' gets confused.

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".